<template>
  <div class="swipe-box">
    <div class="swipe-con">
      <div class="swipe-name">
        {{ swipe.wgtData.name }}
      </div>
      <div class="content" :style="{height: swipeHeight}">
        <van-swipe :autoplay="frequency" :style="{height: swipeHeight}">
          <van-swipe-item v-for="(image, index) in images" :key="index">
            <img v-lazy="image" />
          </van-swipe-item>
        </van-swipe>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  inject: ["reload"],
  props: ["swipe"],
  data() {
    return {
      images: [],
      frequency: '',
      swipeHeight: '',
    };
  },
  created() {
    let image = this.swipe.wgtData.carouselImg;
    let imagesList = [];
    for(let i=0;i<image.length;i++){
      let str = obpmConfig.obpmFilePath + image[i];
      imagesList.push(str);
    }
    this.images = imagesList;
    this.frequency = this.swipe.wgtData.frequency * 1000;
    this.swipeHeight = (this.swipe.wgtData.height - 44 ) + "px"
  },
  methods: {},
};
</script>


